local coroutineEntity = monocle.Entity()

function onTalk(room)
  disableMovement()
  coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.3, 1.5))
  say("donk_TimeToCollectFallenStars")
  setFlag("donk_FallenStarCollect1", True)
  playSound("event:/game/03_resort/suite_bad_movestageleft", player.Position)
  playSound("event:/game/03_resort/suite_bad_intro", player.Position)
  wait(0.4)
  playSound("event:/game/char/badeline/jump_super", player.Position)
  wait(0.4)
  setFlag("donk_FallenStarCollect2", True)
  playSound("event:/game/03_resort/suite_bad_movestageleft", player.Position)
  playSound("event:/game/03_resort/suite_bad_intro", player.Position)
  wait(0.4)
  playSound("event:/game/char/badeline/jump_super", player.Position)
  wait(0.4)
  setFlag("donk_FallenStarCollect3", True)
  playSound("event:/game/03_resort/suite_bad_movestageleft", player.Position)
  playSound("event:/game/03_resort/suite_bad_intro", player.Position)
  wait(0.4)
  playSound("event:/game/char/badeline/jump_super", player.Position)
  wait(0.4)
  setFlag("donk_FallenStarCollect4", True)
  playSound("event:/game/03_resort/suite_bad_movestageleft", player.Position)
  playSound("event:/game/03_resort/suite_bad_intro", player.Position)
  wait(0.4)
  playSound("event:/game/char/badeline/jump_super", player.Position)
  wait(0.4)
  wait(0.4)
  setFlag("donk_FallenStarBigShatter", True)
  playSound("event:/game/general/diamond_touch", player.Position)
  playSound("event:/game/general/wall_break_ice", player.Position)
  coroutine.yield(engine.Scene:ZoomBack(0.5))
  wait(2)
  coroutine.yield(getLevel():ZoomTo(vector2(170, 90), 1.6, 1.5))
  setFlag("donk_FallenStarAppearMe", True)
  player.ForceCameraUpdate = false
  player.ForceCameraUpdate = true
  wait(2)
  say("donk_TheYouThatWasButWillNotBe")
  walk(20, false, 0.8)
  setFlag("donk_FallenStarAppearMeNoMoreHug", True)
  wait(0.5)
  say("donk_FallenStarHugging")
   playSound("event:/new_content/char/granny/dissipate", player.Position)
  setFlag("donk_FallenStarAppearMeNoMoreHugEnd", True)
  setFlag("donk_FallenStarAppearMeNoMore", True)
  wait(2)
  say("donk_FallenStarHugging2")
  coroutine.yield(engine.Scene:ZoomBack(3))
  setFlag("donk_maybeShadowBerry", True)
end

function onEnd(room, wasSkipped)
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
end